<template>
  <div>
    <p class="text-2xl font-bold mb-5">产品管理</p>
    <topbar />
    <product-table />
  </div>
</template>

<script lang="ts">
import Vue from "vue";
import bar from "@/components/productManage/topbar.vue";
import producttable from "@/components/productManage/productTable.vue";
import { mapActions } from "vuex";

export default Vue.extend({
  components: { topbar: bar, "product-table": producttable },
  mounted() {
    this.fetchList();
  },
  methods: {
    ...mapActions("loanProductManagement", {
      productQuery: "query",
    }),
    fetchList() {
      this.productQuery();
    },
  },
});
</script>

<style scoped>
</style>